Sign in to follow this  
FlavioSSA

RAASPRO.DLL error messages

Recommended Posts

Hello guys! Maybe you can help me. I´m facing some CTD´s here with some planes, and looking at the windows event viewer i saw a lot of this error messages:

 

Fail on generation of activation context for "E:\Prepar3D v2\RAASPRO\RAASPRO.dll".  Assembly dependent Microsoft.FlightSimulator.SimConnect ,processorArchitecture="x86",publicKeyToken="67c7c14424d61b5b",type="win32",version="10.0.60905.0" can´t be located. Use the file sxstrace.exe to obtain a detailed diagnostic.

 

Is something with RAASPRO.dll module? -- I have the Aerosoft Airbus updated to the last version 1.10 --

 

Maybe RAASPRO.dll is not accepting the simconnect version i have instaled?

Already got and instaled the latest RAASPRO Airbus .EXE available in FS2Crew site.

My config: Win8.1 Pro 64bits + P3DV2.4 + Airbus a318/319/320/321

 

Any help would be great. Thanks.

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Thanks!

Yes, i got that today. I have ver. 1.6.0.2 installed. The error persists.

I think that maybe it´s more connected with simconect version. If i understand the error message above, it´s trying to locate 10.0.60905.0 version of simconnect (10=FSX?).

I don´t think it´s the version installed in my p3d in here. Can i install other version of simconect?

 

Simconnect version installed is 2.0.9448.1 (P3DV2)

Share this post


Link to post
Share on other sites

I'm not really sure off hand.  I know RAAS is working fine with our other P3D users.

 

You positive your P3D has everything installed correctly?

Share this post


Link to post
Share on other sites

Yes, everything working ok, even RAAS is working. I hear the runway callouts and everything. But i´m getting the error messages too in windows event viewer.

 

Translating what i see in the error message (i´m no professional in the area of course), it appears that raaspro,dll is looking for simconnect version 10.0.60905.0 witch i think is the FSX simconnect version. I don´t have simconnect in this version installed. That´s why i think it has something to do with simconnect versions. Can you help me with this questions?

 

- Can i have more than one simconnect version installed? I only have P3DV2.4 installed. No FSX.

- If it´s posssible, where can we find the other simconnect's versions?

- Where is the simconnect P3DV2.4 installer? (?If something goes wrong i can install it again)

 

Maybe other P3D users are not getting this messages, because they have FSX installed too. Witch explains that they have endeed version 10.0.60905.0 instaled.

Sorry about this many questions, but i´m trying to figure it out.

 

Thanks!

Share this post


Link to post
Share on other sites

I hear the runway callouts and everything. But i´m getting the error messages too in windows event viewer.

 

So RAAS works fine in P3D when you fly, but after you have finished the flight you see these errors in the Window Log?

 

Are you seeing error messages in P3D itself?

 

For your Simconnect P3D questions, have you also checked the forum at Prepar 3D?

 

My understanding is everything should work out of the box.

Share this post


Link to post
Share on other sites

 

 


Sorry about this many questions, but i´m trying to figure it out.

 

Please send me a Support Ticket via the fs2crew website.

 

Thanks,

Share this post


Link to post
Share on other sites

Please read this:

http://forum.simflight.com/topic/77853-fsuipc-v4937-does-not-install-on-clean-p3d-v24-academic/

Check it out from thread's starting point until the end... a work around for this would be installing the ESPSimConnect.msi  installer (that comes with the (ESP SimConnect SDK) that would install the ESP version of SimConnect, and that way would suppress the errors.

Share this post


Link to post
Share on other sites

Thanks for the answer. I  posted above (#5) that this error may be not showing on other guys computers because they have FSX installed or older P3D versions, what i have not. But what is a ESP simconnect? And where i can find this installer?

 

 

If i understand correct, i need an old simconnect DLL to be installed too, right? But where i get it?

Share this post


Link to post
Share on other sites

Hello, just solved the error messages:

 

1) Looking at the error message it´s clear that it is looking for a specifc simconnect version: 10.0.60905.0

2) In this page: http://www.fsdeveloper.com/wiki/index.php?title=SDK_Installation_%28FSX%29

    Found that 10.0.60905.0 is the RTM FSX simconnect

3) If you go on this P3D folder: xxx:\Prepar3D v2\redist\Interface\FSX-RTM\retail\lib you will find this simconnect version. Install it. (There are other simconnect versions there if you need it)

4) Go to the folder C:\Windows\WinSxS and see if the new simconnect.dll with this version is there (See the properties of the DLL file)

5) Open P3D, start the Airbus and make RAASPRO do it´s job.

6) Go to the event viewer and see that the error messages are gone.

 

So, in the end: If you installed P3D v2.4 FRESH and have NO other simulators (Any FSX version/P3D 1.4) than you may face the erros above. Witch is clear to resolve now with the workaround above.

 

Thanks Mr. Bryan for the support in trying to figure it out.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this